# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.4.0](https://github.com/julie-ng/tidy-jsdoc/compare/v1.3.1...v1.4.0) (2020-03-25)


### Features

* **nav:** bring back members ([9322ea1](https://github.com/julie-ng/tidy-jsdoc/commit/9322ea149cfb9f6237a81378dfc4b5ee7ca13cba))
* **nav:** class names are slightly larger ([86a5b7e](https://github.com/julie-ng/tidy-jsdoc/commit/86a5b7e78ad3898e5939f17bce752df88004e896))
* simplify signature markup ([2819730](https://github.com/julie-ng/tidy-jsdoc/commit/281973085b7b14395167dfe89970c02955add703))


### Bug Fixes

* css variables for nav colors were mis-matched ([d989561](https://github.com/julie-ng/tidy-jsdoc/commit/d989561d339078dfc346022d133d4d2406fa887a))

### [1.3.1](https://github.com/julie-ng/tidy-jsdoc/compare/v1.3.0...v1.3.1) (2020-03-23)


### Bug Fixes

* **member-types:** style links and hide by default ([f68f435](https://github.com/julie-ng/tidy-jsdoc/commit/f68f4357b167be7d66d3a9d40ce076c008263a49))

## [1.3.0](https://github.com/julie-ng/tidy-jsdoc/compare/v1.2.2...v1.3.0) (2020-03-23)


### Features

* **nav:** explain type icons with title attributes on DOM element ([8a16c30](https://github.com/julie-ng/tidy-jsdoc/commit/8a16c301457f044f3110c633d840fbc5a4104302))
* **styles:** add more customization  options via css variables ([486bffa](https://github.com/julie-ng/tidy-jsdoc/commit/486bffa6049f6585e52f975006d7abe371093a45))
* **styles:** format generic code blocks ([ca30d67](https://github.com/julie-ng/tidy-jsdoc/commit/ca30d67c29a303a6fad9aca16c3e35460966c2a6))


### Bug Fixes

* add missing 'members' which includes [@readonly](https://github.com/readonly) [@type](https://github.com/type), [#5](https://github.com/julie-ng/tidy-jsdoc/issues/5), [#11](https://github.com/julie-ng/tidy-jsdoc/issues/11) ([840e8c1](https://github.com/julie-ng/tidy-jsdoc/commit/840e8c194f28221dad6465397b2d88846e92a3cd))
* add missing [@static](https://github.com/static), [#11](https://github.com/julie-ng/tidy-jsdoc/issues/11) ([cf9cdb5](https://github.com/julie-ng/tidy-jsdoc/commit/cf9cdb5d04e3fc485959bb5585db33b7d0282240))
* link to index.html for older browsers, closes [#9](https://github.com/julie-ng/tidy-jsdoc/issues/9) ([4eeb9a5](https://github.com/julie-ng/tidy-jsdoc/commit/4eeb9a5cb4de369aee6bd0091f61491de0650e9f))
* missing [@returns](https://github.com/returns), [#10](https://github.com/julie-ng/tidy-jsdoc/issues/10) ([c0494d2](https://github.com/julie-ng/tidy-jsdoc/commit/c0494d2d1721491e178bf720ae2770188ff052e9))
* missing [@summary](https://github.com/summary) on classes, [#10](https://github.com/julie-ng/tidy-jsdoc/issues/10) ([cd8b1ee](https://github.com/julie-ng/tidy-jsdoc/commit/cd8b1ee03fd0ae28233267a70a357aa7eb9a508d))
* missing [@summary](https://github.com/summary) on methods, [#10](https://github.com/julie-ng/tidy-jsdoc/issues/10) ([47d0cbc](https://github.com/julie-ng/tidy-jsdoc/commit/47d0cbcec04ddac7059f7221e887522178c582a6))
* remove duplicate buildNavType() ([cca9c9c](https://github.com/julie-ng/tidy-jsdoc/commit/cca9c9cd56903a1ee339da1871ab2ce492a0ecb5))

### [1.2.2](https://github.com/julie-ng/tidy-jsdoc/compare/v1.2.1...v1.2.2) (2020-02-01)


### [1.2.1](https://github.com/julie-ng/tidy-jsdoc/compare/v1.2.0...v1.2.1) (2019-12-24)


### Bug Fixes

* **npmignore:** exclude images from package ([657bbd1](https://github.com/julie-ng/tidy-jsdoc/commit/657bbd1))



## [1.2.0](https://github.com/julie-ng/tidy-jsdoc/compare/v1.1.0...v1.2.0) (2019-12-24)


### Bug Fixes

* **styles:** method type typography contrast ([2de53a6](https://github.com/julie-ng/tidy-jsdoc/commit/2de53a6))


### Features

* **code-styles:** add prism-theme option ([8d4aa34](https://github.com/julie-ng/tidy-jsdoc/commit/8d4aa34))
* **styles:** introduce heading and subheading colors and vars ([a5d29ca](https://github.com/julie-ng/tidy-jsdoc/commit/a5d29ca))



## [1.1.0](https://github.com/julie-ng/tidy-jsdoc/compare/v1.0.0...v1.1.0) (2019-12-04)

### Dependencies

- **handlebars**: updated per audit ( [3f9a8b8](https://github.com/julie-ng/tidy-jsdoc/commit/3f9a8b8))
- **handlebars**: updated per audit [6f6e7a2](https://github.com/julie-ng/tidy-jsdoc/commit/6f6e7a2))
- **jsdoc**: updated per audit ([c6c0fee](https://github.com/julie-ng/tidy-jsdoc/commit/c6c0fee))

### Bug Fixes

* **class:** show properties, [#5](https://github.com/julie-ng/tidy-jsdoc/issues/5) ([3bccee0](https://github.com/julie-ng/tidy-jsdoc/commit/3bccee0))
* **headings:** styles consistency ([ea6fd8c](https://github.com/julie-ng/tidy-jsdoc/commit/ea6fd8c))



## [1.0.0](https://github.com/julie-ng/tidy-jsdoc/compare/v0.3.2...v1.0.0) (2019-06-02)


### Bug Fixes

* **type-defs:** duplicate description, [#3](https://github.com/julie-ng/tidy-jsdoc/issues/3) ([907d9e1](https://github.com/julie-ng/tidy-jsdoc/commit/907d9e1))
* **type-defs:** include properties, closes [#3](https://github.com/julie-ng/tidy-jsdoc/issues/3) ([3423093](https://github.com/julie-ng/tidy-jsdoc/commit/3423093))


### Features

* **css:** allow user adjustments via css variable overrides ([2bb0d80](https://github.com/julie-ng/tidy-jsdoc/commit/2bb0d80))
* **css:** remove bootstrap dependencies ([8e6abd2](https://github.com/julie-ng/tidy-jsdoc/commit/8e6abd2))
* **design, css:** re-design and refactor css ([08ceb04](https://github.com/julie-ng/tidy-jsdoc/commit/08ceb04))
* **nav:** remove method parens, visual noise ([5a8e964](https://github.com/julie-ng/tidy-jsdoc/commit/5a8e964))



### [0.3.2](https://github.com/julie-ng/tidy-jsdoc/compare/v0.3.1...v0.3.2) (2019-06-01)

### Dependencies

* update per security audits

### [0.3.1](https://github.com/julie-ng/tidy-jsdoc/compare/v0.3.0...v0.3.1) (2019-03-05)


### Bug Fixes

* update dependencies per security audit ([db6e950](https://github.com/julie-ng/tidy-jsdoc/commit/db6e950))



<a name="0.3.0"></a>
## [0.3.0](https://github.com/julie-ng/tidy-jsdoc/compare/v0.2.2...v0.3.0) (2018-12-15)


### Bug Fixes

* events layout, separate from method ([d868ea8](https://github.com/julie-ng/tidy-jsdoc/commit/d868ea8))
* Events subheading style ([1156d36](https://github.com/julie-ng/tidy-jsdoc/commit/1156d36))
* missing event colors in navigation ([6d74973](https://github.com/julie-ng/tidy-jsdoc/commit/6d74973))


### Features

* **class:** do not repeat properties in constructor ([64bb854](https://github.com/julie-ng/tidy-jsdoc/commit/64bb854))
* **events:** in navigation, list under parent classes ([4c57bcf](https://github.com/julie-ng/tidy-jsdoc/commit/4c57bcf))
* **header:** link title to main page ([f0b7bee](https://github.com/julie-ng/tidy-jsdoc/commit/f0b7bee))
* **main-page:** assume readme, add basic styles ([e6ec9f6](https://github.com/julie-ng/tidy-jsdoc/commit/e6ec9f6))
* **nav:** add parentheses to functions and style ([9c75f84](https://github.com/julie-ng/tidy-jsdoc/commit/9c75f84))
* **tables:** a little more compact ([da661e2](https://github.com/julie-ng/tidy-jsdoc/commit/da661e2))
* **typography:** lighter param name background ([1a2d9b7](https://github.com/julie-ng/tidy-jsdoc/commit/1a2d9b7))



<a name="0.2.2"></a>
### [0.2.2](https://github.com/julie-ng/tidy-jsdoc/compare/v0.2.1...v0.2.2) (2018-11-22)


### Bug Fixes

* update dependencies per audit ([da49089](https://github.com/julie-ng/tidy-jsdoc/commit/da49089))



<a name="0.2.1"></a>
### [0.2.1](https://github.com/julie-ng/tidy-jsdoc/compare/v0.2.0...v0.2.1) (2018-04-03)


### Bug Fixes

* **css:** include generated css for release ([6a462af](https://github.com/julie-ng/tidy-jsdoc/commit/6a462af))



<a name="0.2.0"></a>
## [0.2.0](https://github.com/julie-ng/tidy-jsdoc/compare/v0.1.0...v0.2.0) (2018-04-03)


### Bug Fixes

* **layout:** custom logo path ([a910ce0](https://github.com/julie-ng/tidy-jsdoc/commit/a910ce0))


### Features

* **bootstrap:** improve importing, use latest variables ([0f95bfb](https://github.com/julie-ng/tidy-jsdoc/commit/0f95bfb))
* **bootstrap:** minimize imports ([4336ca9](https://github.com/julie-ng/tidy-jsdoc/commit/4336ca9))
* **bootstrap:** update from alpha to v4.0.0 release ([a2990e6](https://github.com/julie-ng/tidy-jsdoc/commit/a2990e6))
* **design:** replace default nav with minami template nav ([18b916f](https://github.com/julie-ng/tidy-jsdoc/commit/18b916f))
* **layout:** add kind, e.g. class or namespace to content ([97f7a75](https://github.com/julie-ng/tidy-jsdoc/commit/97f7a75))
* **layout:** add new navigation, shows functions too ([100fdcb](https://github.com/julie-ng/tidy-jsdoc/commit/100fdcb))
* **layout:** adjust default colors ([6d3cb8b](https://github.com/julie-ng/tidy-jsdoc/commit/6d3cb8b))
* **layout:** allow jsdoc config to override colors, add logo ([f896517](https://github.com/julie-ng/tidy-jsdoc/commit/f896517))
* **layout:** apply bootstrap and custom styles to params tables ([aef518b](https://github.com/julie-ng/tidy-jsdoc/commit/aef518b))
* **layout:** hide repeating class and namespace name ([68b8349](https://github.com/julie-ng/tidy-jsdoc/commit/68b8349))
* **layout:** list properties of members, instead of table ([774bfbe](https://github.com/julie-ng/tidy-jsdoc/commit/774bfbe))
* **layout:** only show properties heading if we have properties ([d696753](https://github.com/julie-ng/tidy-jsdoc/commit/d696753))
* **layout:** remove dummy list from source. Fix link to source for prism JS ([1cd7083](https://github.com/julie-ng/tidy-jsdoc/commit/1cd7083))
* **layout:** restore default template for params with tables ([f59f835](https://github.com/julie-ng/tidy-jsdoc/commit/f59f835))
* **nav:** soften colors ([68e5432](https://github.com/julie-ng/tidy-jsdoc/commit/68e5432))
* **prism:** add dev version ([9f36599](https://github.com/julie-ng/tidy-jsdoc/commit/9f36599))
* **source:** adjust colors, styles ([a445046](https://github.com/julie-ng/tidy-jsdoc/commit/a445046))
* **source:** link to specific line ([2e624ac](https://github.com/julie-ng/tidy-jsdoc/commit/2e624ac))
* **source:** no max-width, format page title like others ([84c3a16](https://github.com/julie-ng/tidy-jsdoc/commit/84c3a16))
* **template:** adjust prism and line highlight styles ([9b62f2f](https://github.com/julie-ng/tidy-jsdoc/commit/9b62f2f))
* **template:** adjust signatures formatting ([6651ae8](https://github.com/julie-ng/tidy-jsdoc/commit/6651ae8))
* **template:** rename 'Members' heading to 'Properties' ([9d47cad](https://github.com/julie-ng/tidy-jsdoc/commit/9d47cad))
* **typography:** make method names stand out more ([19e9837](https://github.com/julie-ng/tidy-jsdoc/commit/19e9837))
* **typography:** separate kind from page title ([3365e3b](https://github.com/julie-ng/tidy-jsdoc/commit/3365e3b))



<a name="0.1.0"></a>
## 0.1.0 (2017-05-26)


### Features

* **design:** add bootstrap table styles ([4e88698](https://github.com/julie-ng/tidy-jsdoc/commit/4e88698))
* **design:** add bootstrap4 package ([9e316e2](https://github.com/julie-ng/tidy-jsdoc/commit/9e316e2))
* **design:** add missing detail property to hasDetails boolean ([e0251da](https://github.com/julie-ng/tidy-jsdoc/commit/e0251da))
* **design:** adjust and clean up dd, dt, etc markup for method details ([bb0bfbd](https://github.com/julie-ng/tidy-jsdoc/commit/bb0bfbd))
* **design:** adjust heading tags ([8dc2026](https://github.com/julie-ng/tidy-jsdoc/commit/8dc2026))
* **design:** adjust layout, use light sidebar ([6aa2213](https://github.com/julie-ng/tidy-jsdoc/commit/6aa2213))
* **design:** adjust prismjs theme colors ([1224f08](https://github.com/julie-ng/tidy-jsdoc/commit/1224f08))
* **design:** adjust signature and heading styles ([cf2859b](https://github.com/julie-ng/tidy-jsdoc/commit/cf2859b))
* **design:** adjust some styles for code ([cdcee00](https://github.com/julie-ng/tidy-jsdoc/commit/cdcee00))
* **design:** be explicit about signature types ([ac1f104](https://github.com/julie-ng/tidy-jsdoc/commit/ac1f104))
* **design:** center main content ([1429f4a](https://github.com/julie-ng/tidy-jsdoc/commit/1429f4a))
* **design:** disable bootstrap styles for code tag ([dcea434](https://github.com/julie-ng/tidy-jsdoc/commit/dcea434))
* **design:** move examples above constructor ([d98edc5](https://github.com/julie-ng/tidy-jsdoc/commit/d98edc5))
* **design:** move examples and source definitions ([9c8225b](https://github.com/julie-ng/tidy-jsdoc/commit/9c8225b))
* **design:** move extends higher up ([b4dfa60](https://github.com/julie-ng/tidy-jsdoc/commit/b4dfa60))
* **design:** move properties above constructor ([d723abf](https://github.com/julie-ng/tidy-jsdoc/commit/d723abf))
* **design:** only import selected bootstrap components ([a781533](https://github.com/julie-ng/tidy-jsdoc/commit/a781533))
* **design:** only use selective jsdoc styling ([b95f962](https://github.com/julie-ng/tidy-jsdoc/commit/b95f962))
* **design:** re-enable optional signature in method params ([31d49a5](https://github.com/julie-ng/tidy-jsdoc/commit/31d49a5))
* **design:** re-structure sass ([6bc3944](https://github.com/julie-ng/tidy-jsdoc/commit/6bc3944))
* **design:** remove background from token ([024de99](https://github.com/julie-ng/tidy-jsdoc/commit/024de99))
* **design:** remove fixed home link from nav ([e70f67a](https://github.com/julie-ng/tidy-jsdoc/commit/e70f67a))
* **design:** remove jsdoc table styles ([1206192](https://github.com/julie-ng/tidy-jsdoc/commit/1206192))
* **design:** remove prettyify ([8b7f820](https://github.com/julie-ng/tidy-jsdoc/commit/8b7f820))
* **design:** remove some jsdoc default styles ([bf7ecaf](https://github.com/julie-ng/tidy-jsdoc/commit/bf7ecaf))
* **design:** remove unncessary margin ([ecff953](https://github.com/julie-ng/tidy-jsdoc/commit/ecff953))
* **design:** style code captions ([4ee3da9](https://github.com/julie-ng/tidy-jsdoc/commit/4ee3da9))
* **design:** temporarily hide jsdoc footer ([c8f56ee](https://github.com/julie-ng/tidy-jsdoc/commit/c8f56ee))
* **design:** use bootstrap grid ([c4949fb](https://github.com/julie-ng/tidy-jsdoc/commit/c4949fb))
* **design:** use prism.js instead ([904eeec](https://github.com/julie-ng/tidy-jsdoc/commit/904eeec))
* **details:** only show details if we have some ([b504204](https://github.com/julie-ng/tidy-jsdoc/commit/b504204))
* **members:** style inheritable members like properties ([acb5138](https://github.com/julie-ng/tidy-jsdoc/commit/acb5138))
* **method:** add and style <article> wrapper ([512af2b](https://github.com/julie-ng/tidy-jsdoc/commit/512af2b))
* **parameters:** use nested list instead of table ([6b11694](https://github.com/julie-ng/tidy-jsdoc/commit/6b11694))
* **properties:** adjust table and style ([7b55072](https://github.com/julie-ng/tidy-jsdoc/commit/7b55072))
* **properties:** style subheading ([92f87f9](https://github.com/julie-ng/tidy-jsdoc/commit/92f87f9))
* **sass:** only watch main sass file ([7c5b7c0](https://github.com/julie-ng/tidy-jsdoc/commit/7c5b7c0))
* **sass:** reorganize stylesheets ([c1c7327](https://github.com/julie-ng/tidy-jsdoc/commit/c1c7327))
* **sass:** use custom stylesheet ([ae51efe](https://github.com/julie-ng/tidy-jsdoc/commit/ae51efe))
* **sass:** use sass for stylesheets ([55a7b73](https://github.com/julie-ng/tidy-jsdoc/commit/55a7b73))
* **source:** move back to details instead of under method name ([2f56bae](https://github.com/julie-ng/tidy-jsdoc/commit/2f56bae))
* **template:** extend table rows for params instead of nesting tables ([4b4bb2f](https://github.com/julie-ng/tidy-jsdoc/commit/4b4bb2f))
* **template:** move 'extends' to top of page ([322bb4f](https://github.com/julie-ng/tidy-jsdoc/commit/322bb4f))
* **template:** remove extra returns block because it's in method name ([d4108bf](https://github.com/julie-ng/tidy-jsdoc/commit/d4108bf))
* **template:** remove summary, which is same as description from method ([75d0578](https://github.com/julie-ng/tidy-jsdoc/commit/75d0578))
* **template:** wrap types in <code> tag ([c87a546](https://github.com/julie-ng/tidy-jsdoc/commit/c87a546))
